| GET | /RestApi/recycle-bin/items/types |
|---|
namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type GetRecyclableType() =
class end
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/types HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfGetRecyclableTypeProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto.Responses">
<GetRecyclableTypeProxy>
<Count>0</Count>
<FullName>String</FullName>
<Name>String</Name>
</GetRecyclableTypeProxy>
</ArrayOfGetRecyclableTypeProxy>